% Copyright (c) Camden Dixie O'Brien
% SPDX-License-Identifier: AGPL-3.0-only

-module(proto_sup).
-behaviour(supervisor).

-export([start_link/2]).
-export([init/1]).

start_link(Port, CertDir) ->
	supervisor:start_link({local, ?MODULE}, ?MODULE, [Port, CertDir]).

init([Port, CertDir]) ->
	SupFlags = #{stragegy => one_for_all,
				 intensity => 1,
				 period => 5},
	ChildSpecs = [tcp_server:child_spec(Port, CertDir)],
	{ok, {SupFlags, ChildSpecs}}.
